Bug 1252924 (tecnick.com/tc-lib-barcode) - Review Request: php-tecnickcom-tc-lib-barcode - PHP library to generate linear and bidimensional barcodes
Summary: Review Request: php-tecnickcom-tc-lib-barcode - PHP library to generate linea...
Status: CLOSED ERRATA
Alias: tecnick.com/tc-lib-barcode
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On: tecnick.com/tc-lib-color
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-12 13:57 UTC by Remi Collet
Modified: 2015-10-07 04:07 UTC (History)
2 users (show)

Fixed In Version: 1.4.1-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 19:01:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)
phpcompatinfo-full.log (20.68 KB, text/plain)
2015-08-21 21:54 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (15.35 KB, text/plain)
2015-08-21 21:55 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (9.65 KB, text/plain)
2015-08-21 21:55 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2015-08-12 13:57:23 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/06372de0c0d3c9f6f75486533a3eb65ab4d0eb29/php/tecnick/php-tecnickcom-tc-lib-barcode/php-tecnickcom-tc-lib-barcode.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-tecnickcom-tc-lib-barcode-1.4.1-1.remi.src.rpm
Description: 
Provides tc-lib-barcode: PHP classes to generate linear and bidimensional
barcodes: CODE 39, ANSI MH10.8M-1983, USD-3, 3 of 9, CODE 93, USS-93,
Standard 2 of 5, Interleaved 2 of 5, CODE 128 A/B/C, 2 and 5 Digits
UPC-Based Extension, EAN 8, EAN 13, UPC-A, UPC-E, MSI, POSTNET, PLANET,
RMS4CC (Royal Mail 4-state Customer Code), CBC (Customer Bar Code),
KIX (Klant index - Customer index), Intelligent Mail Barcode, Onecode,
USPS-B-3200, CODABAR, CODE 11, PHARMACODE, PHARMACODE TWO-TRACKS, Datamatrix
ECC200, QR-Code, PDF417.

Optional dependency: php-pecl-imagick


Fedora Account System Username: remi

Comment 1 Shawn Iwinski 2015-08-21 21:54:37 UTC
Created attachment 1065737 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST

Comment 2 Shawn Iwinski 2015-08-21 21:55:01 UTC
Created attachment 1065748 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST

Comment 3 Shawn Iwinski 2015-08-21 21:55:35 UTC
Created attachment 1065749 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1252924
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2015-08-21 21:58:37 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)

Diff is minor and not a blocker (see attached review for diff if interested)



No blockers

===== APPROVED =====

Comment 5 Remi Collet 2015-08-22 05:38:48 UTC
Thanks for the review !

New Package SCM Request
=======================
Package Name: php-tecnickcom-tc-lib-barcode
Short Description: PHP library to generate linear and bidimensional barcodes
Upstream URL: https://github.com/tecnickcom/tc-lib-color
Owners: remi
Branches: f21 f22 f23 el6 epel7
InitialCC:

Comment 6 Remi Collet 2015-08-22 05:40:10 UTC
Fixed:

New Package SCM Request
=======================
Package Name: php-tecnickcom-tc-lib-barcode
Short Description: PHP library to generate linear and bidimensional barcodes
Upstream URL: https://github.com/tecnickcom/tc-lib-barcode
Owners: remi
Branches: f21 f22 f23 el6 epel7
InitialCC:

Comment 7 Gwyn Ciesla 2015-08-23 21:37:32 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-08-25 09:57:56 UTC
php-tecnickcom-tc-lib-barcode-1.4.1-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7783

Comment 9 Fedora Update System 2015-08-25 09:58:08 UTC
php-tecnickcom-tc-lib-barcode-1.4.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14205

Comment 10 Fedora Update System 2015-08-25 09:58:18 UTC
php-tecnickcom-tc-lib-barcode-1.4.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7784

Comment 11 Fedora Update System 2015-08-25 09:58:28 UTC
php-tecnickcom-tc-lib-barcode-1.4.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14206

Comment 12 Fedora Update System 2015-08-25 09:58:39 UTC
php-tecnickcom-tc-lib-barcode-1.4.1-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14207

Comment 13 Fedora Update System 2015-08-25 19:17:33 UTC
php-tecnickcom-tc-lib-barcode-1.4.1-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tecnickcom-tc-lib-barcode'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7783

Comment 14 Fedora Update System 2015-08-26 04:25:41 UTC
php-tecnickcom-tc-lib-barcode-1.4.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tecnickcom-tc-lib-barcode'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14205

Comment 15 Fedora Update System 2015-08-26 15:19:36 UTC
php-tecnickcom-tc-lib-barcode-1.4.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tecnickcom-tc-lib-barcode'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7784

Comment 16 Fedora Update System 2015-08-26 17:25:02 UTC
php-tecnickcom-tc-lib-barcode-1.4.1-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tecnickcom-tc-lib-barcode'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14207

Comment 17 Fedora Update System 2015-08-26 17:27:36 UTC
php-tecnickcom-tc-lib-barcode-1.4.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tecnickcom-tc-lib-barcode'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14206

Comment 18 Fedora Update System 2015-08-28 05:19:14 UTC
php-tecnickcom-tc-lib-barcode-1.4.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tecnickcom-tc-lib-barcode'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7811

Comment 19 Fedora Update System 2015-09-09 00:22:21 UTC
php-tecnickcom-tc-lib-barcode-1.4.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-09-09 04:21:08 UTC
php-tecnickcom-tc-lib-barcode-1.4.1-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-09-14 08:14:02 UTC
php-tecnickcom-tc-lib-barcode-1.4.3-1.el6 php-tecnickcom-tc-lib-color-1.5.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8070

Comment 22 Fedora Update System 2015-09-14 08:14:12 UTC
php-tecnickcom-tc-lib-barcode-1.4.3-1.el7 php-tecnickcom-tc-lib-color-1.5.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8071

Comment 23 Fedora Update System 2015-09-15 03:21:38 UTC
php-tecnickcom-tc-lib-barcode-1.4.3-1.el6, php-tecnickcom-tc-lib-color-1.5.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tecnickcom-tc-lib-barcode php-tecnickcom-tc-lib-color'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8070

Comment 24 Fedora Update System 2015-09-15 06:55:03 UTC
php-tecnickcom-tc-lib-barcode-1.4.3-1.el7, php-tecnickcom-tc-lib-color-1.5.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tecnickcom-tc-lib-color php-tecnickcom-tc-lib-barcode'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8071

Comment 25 Fedora Update System 2015-09-18 19:01:31 UTC
php-tecnickcom-tc-lib-barcode-1.4.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2015-10-07 03:06:39 UTC
php-tecnickcom-tc-lib-barcode-1.4.3-1.el7, php-tecnickcom-tc-lib-color-1.5.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2015-10-07 04:07:01 UTC
php-tecnickcom-tc-lib-barcode-1.4.3-1.el6, php-tecnickcom-tc-lib-color-1.5.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.